commit: 293b4ac4d038f4c00cc19a92af728a0fa06edfa2
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 18 16:54:42 2015 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Fri Dec 18 16:54:59 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=293b4ac4
sys-boot/grub: Add postinst warning about security bug
Package-Manager: portage-2.2.26_p32
sys-boot/grub/grub-2.02_beta2-r8.ebuild | 9 +++++++++
1 file changed, 9 insertions(+)
diff --git a/sys-boot/grub/grub-2.02_beta2-r8.ebuild
b/sys-boot/grub/grub-2.02_beta2-r8.ebuild
index abfeffb..90e0399 100644
--- a/sys-boot/grub/grub-2.02_beta2-r8.ebuild
+++ b/sys-boot/grub/grub-2.02_beta2-r8.ebuild
@@ -309,5 +309,14 @@ pkg_postinst() {
optfeature "Detect other operating systems (grub-mkconfig)"
sys-boot/os-prober
optfeature "Create rescue media (grub-mkrescue)"
dev-libs/libisoburn
optfeature "Enable RAID device detection" sys-fs/mdadm
+ else
+ local v
+ for v in ${REPLACING_VERSIONS}; do
+ if ! version_is_at_least 2.02_beta2-r8 ${v}; then
+ ewarn "Please re-run grub2-install to address a
security flaw when using"
+ ewarn "username/password authentication in
grub."
+ ewarn "See bug 568326 for more information."
+ fi
+ done
fi
}